﻿@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using Portal.Models.Forecast;
@using DevExpress.Utils;
@Html.DevExpress().GridView(
            setting =>
            {
                setting.Name = "gridLogHeader";
                setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                setting.Width = Unit.Percentage(80);
                setting.KeyFieldName = "logID";

                setting.SettingsPager.PageSizeItemSettings.Visible = true;
                setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
                setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";
                setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Hidden;
                setting.SettingsPager.FirstPageButton.Visible = true;
                setting.SettingsPager.LastPageButton.Visible = true;
                setting.CallbackRouteValues = new { Controller = "LogTransaction", Action = "ReloadGrid" };
                setting.ClientSideEvents.BeginCallback = "BeginGridCallback";

                setting.Columns.Add("logID", "Log ID Header", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(50);
                setting.Columns["logID"].CellStyle.HorizontalAlign = HorizontalAlign.Left;
                
                setting.Columns.Add("processID", "Process ID", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(70);
                setting.Columns["processID"].CellStyle.HorizontalAlign = HorizontalAlign.Left;



                setting.Columns.Add(col =>
                    {
                        col.FieldName = "manifestNo";
                        col.Caption = "Manifest No";
                        col.Width = 75;
                        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        col.SetDataItemTemplateContent(container =>
                            {
                                Html.DevExpress().HyperLink(hlSettings =>
                                    {
                                        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                                        hlSettings.NavigateUrl = "javascript:void(0)";
                                        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClick('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
                                        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                                    

                                    }).Render();
                            });        
                    });

                setting.Columns.Add("createdBy", "Created By", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(70);
                setting.Columns["createdBy"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                setting.Columns.Add("createdDate", "Created Date", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(100);
                setting.Columns["createdDate"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                
                        
                
            }

           ).Bind(Model.GetModel<Portal.Models.LogTransaction.logTransactionModel>().logTransaction).GetHtml()
